#ifndef IPSET_H
#define IPSET_H

#define IPSET_CMD "ipset"
#define IPSET_BLACKLIST_NAME "ifw_bl"
#define IPSET_WHITELIST_NAME "ifw_wl"
#define IPSET_BLACKLIST_TIMEOUT "3600"

#include <sys/types.h>

void ipset_init();
void ipset_destroy();
/* void ipset_blacklist_load(char *filename); */
/* void ipset_blacklist_save(char *filename); */
/* void ipset_whitelist_load(char *filename); */
/* void ipset_whitelist_save(char *filename); */
void ipset_blacklist_add(u_int32_t addr);
void ipset_blacklist_remove(u_int32_t addr);
void ipset_whitelist_add(u_int32_t addr);
void ipset_whitelist_remove(u_int32_t addr);

#endif /* IPSET_H */
